#
# spec file for package ghc-language-puppet
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name language-puppet
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.3.8.1
Release:        lp150.1.16
Summary:        Tools to parse and evaluate the Puppet DSL
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base16-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cryptonite-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-either-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filecache-devel
BuildRequires:  ghc-formatting-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-hruby-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-http-api-data-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-lens-aeson-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-operational-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parallel-io-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pcre-utils-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-regex-pcre-builtin-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-servant-client-devel
BuildRequires:  ghc-servant-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-strict-base-types-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-yaml-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-hspec-megaparsec-devel
BuildRequires:  ghc-temporary-devel
%endif

%description
This is a set of tools that is supposed to fill all your Puppet needs : syntax
checks, catalog compilation, PuppetDB queries, simulationg of complex
interactions between nodes, Puppet master replacement, and more !.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/pdbquery
%{_bindir}/puppetresources
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/ruby
%{_datadir}/%{pkg_name}-%{version}/ruby/hrubyerb.rb

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.adoc

%changelog
* Wed Aug 30 2017 psimons@suse.com
- Update to version 1.3.8.1 revision 1.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 1.3.8.1.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 1.3.7 with cabal2obs.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 1.3.6 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.3.5.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.3.1.1 revision 0 with cabal2obs.
